% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/run.R
\name{run_app}
\alias{run_app}
\title{Run a Shiny App}
\usage{
run_app(app = c("doserate", "calibration"), browser = TRUE, display = "auto")
}
\arguments{
\item{app}{A \code{\link{character}} string specifying the Shiny application
to run. It must be one of "\code{doserate}" or "\code{calibration}"
(see details). Any unambiguous substring can be given.}

\item{browser}{A \code{\link{logical}} scalar: should the app be run in
the browser?}

\item{display}{A \code{\link{character}} string specifying the mode in which
to display the application (see \code{\link[shiny]{runApp}}).}
}
\value{
A \pkg{shiny} application object.
}
\description{
A wrapper for \code{\link[shiny:shinyApp]{shinyAppDir}}.
}
\details{
\tabular{ll}{
  \strong{Application name} \tab  \strong{Keyword} \cr
  Dose rate estimation \tab \code{doserate} \cr
  Calibration curve builder \tab \code{calibration} \cr
 }
}
\note{
Usefull presets for the energy scale calibration:
 \tabular{ll}{
  Channel \tab Energy (keV) \cr
  76 \tab 238.63 \cr
  465 \tab 1460.82 \cr
  830 \tab 2614.51 \cr
 }
}
\examples{
\dontrun{
run_app("doserate")
run_app("calibration")
}
}
\author{
N. Frerebeau
}
\concept{shiny}
